package com.bonus.hn.bearing.capacity.backstage.newpro.dao;

import com.bonus.hn.bearing.capacity.backstage.newpro.entity.HistoryProBean;
import com.bonus.hn.bearing.capacity.backstage.newpro.entity.NewProBean;
import com.bonus.hn.bearing.capacity.backstage.newpro.entity.ReleaseBean;
import com.bonus.hn.bearing.capacity.backstage.newpro.entity.ReleaseViewBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface NewProDao {

    List<NewProBean> getBasicDataList(NewProBean o);

    int determineIfExists(String proName, String id);

    int insertData(NewProBean bean);

    NewProBean getListById(NewProBean o);

    int updateData(NewProBean bean);

    int delById(NewProBean bean);

    List<ReleaseBean> getReleaseDataList(ReleaseBean o);

    List<ReleaseViewBean> getTeamTable(ReleaseViewBean o);

    List<ReleaseViewBean> getSubTeamTable(ReleaseViewBean o);

    List<ReleaseViewBean> getOwnTeamTable(ReleaseViewBean o);

    List<HistoryProBean> getHistoryProList(HistoryProBean o);

    NewProBean getHisotryListById(NewProBean o);

    List<NewProBean> getEveryMonthNum(String id);

    List<String> getTeamIdList(String id);

    List<NewProBean> getOwnTeamEveryMonthNum(String id);

    List<String> getOwnTeamIdList(String id);

    NewProBean getMinAndMaxTimeBeans(NewProBean o);

    HistoryProBean getHistoryMinAndMaxTimeBeans(HistoryProBean bean);
}

